Subject: [dmarc-ietf] Stephen Farrell's No Objection on draft-ietf-dmarc-interoperability-16: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Thu, 16 Jun 2016 05:37:26 -0700

Stephen Farrell has entered the following ballot position for
draft-ietf-dmarc-interoperability-16: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dmarc-interoperability/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

- I think the abstract and intro are too coy in saying that
DMARC "can" introduce interop issues when we know that it
definitely does introduce such issues. Better to be up front
about that I think. The same issue arises elsewhere (e.g.  in
3.2.3.1) and I don't see any real benefit in almost pretending
that this isn't a real issue.

- I think the abstract and intro would be better if they
explicitly ack'd that DMARC affects mailing lists. So maybe
replacing the relevant sentence with something like:
"Collectively these email flows are referred to as indirect
email flows, and include mailing lists, such as those used to
discuss this document."

- 2.3: I'm surprised that we don't know the prevalence of simple
vs. relaxed support and use. 

- 3.1.2: Saying that the MTA is the thing to "introduce" the
interop issue here seems a bit wrong - isn't the issue caused by
the existing MTA practice combined with the introduction of
DMARC?